/*******************************************************************************
 * 
 * 系统主页
 * 
 * <pre>
 *  
 * 作者：liys
 * 邮箱:5087587@qq.com
 * 日期:2019-2-15-11:43:52
 * 版权：安徽航天信息有限公司
 * </pre>
 * 
 ******************************************************************************/
StringUtil={
	//获取url参数
	getQueryString:function(name){
	    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i"); 
	    var r = window.location.search.substr(1).match(reg); 
	    if (r != null) return unescape(r[2]); 
	    return null; 
		
	},
	//校验字符串不为空
	isNotBlank:function(text){
		return !(this.isBlank(text))
	},
	//校验字符串是否为空
	isBlank:function(text){
		if(text==null){
			return true;
		}
		if(text==""){
			return true;
		}
		if(text.length==0){
			return true;
		}
		if(text==undefined){
			return true;
		}
		return false;
	},
	//判断一个对象是否为空
	objectIsBlank:function(obj){
		if(JSON.stringify(obj)=="{}"){
			return true
		}
		if(Object.keys(obj).length==0){
			return true
		}
		return false
	},
	//判断一个对象是否不为空
	objectIsNotBlank:function(obj){
		return !(this.objectIsBlank(obj))
	},
	/**
	 * 判断一个字符串是邮箱
	 * @param str
	 * @returns
	 */
	isEmail:function(str){
		var pattern = /\w[-\w.+]*@([A-Za-z0-9][-A-Za-z0-9]+\.)+[A-Za-z]{2,14}/g;
		return (pattern.test(str))
	},
	/**
	 * 判断一个字符串不是邮箱
	 * @param str
	 * @returns
	 */
	isNotEmail:function(str){
		var pattern = /\w[-\w.+]*@([A-Za-z0-9][-A-Za-z0-9]+\.)+[A-Za-z]{2,14}/g;
		return !(pattern.test(str))
	},
	/**
	 * 判断一个字符串是身份证
	 * @param str
	 * @returns
	 */
	isIdCard:function(str){
		var pattern = /\d{17}[0-9Xx]|\d{15}/g;
		return (pattern.test(str))
	},
	
	/**
	 * 判断一个字符串不是身份证
	 * @param str
	 * @returns
	 */
	isNotIdCard:function(str){
		var pattern = /\d{17}[0-9Xx]|\d{15}/g;
		return !(pattern.test(str))
	},
	
	/**
	 * 判断一个字符串是正整数
	 * @param str
	 * @returns
	 */
	isJustInteger:function(str){
		var pattern = /^[1-9]\d*$/;
		return (pattern.test(str))
	},
	/**
	 * 判断一个字符串不是正整数
	 * @param str
	 * @returns
	 */
	isNotJustInteger:function(str){
		return !(this.isJustInteger(str))
	},
	
	/**
	 * 判断一个字符串是手机号
	 * @param str
	 * @returns
	 */
	isPhone:function(str){
		var pattern = /(13\d|14[579]|15[^4\D]|17[^49\D]|18\d)\d{8}/g;
		return (pattern.test(str))
	},
	/**
	 * 判断一个字符串不是手机号
	 * @param str
	 * @returns
	 */
	isNotPhone:function(str){
		var pattern = /(13\d|14[579]|15[^4\D]|17[^49\D]|18\d)\d{8}/g;
		return !(pattern.test(str))
	},
	/**
	 * 判断一个字符串是正整数和小数
	 */
	isJustIntgerAndDecimals:function(str){
		var pattern =  /^\d+(\.\d{1,6})?$/;
		return (pattern.test(str))
	},
	/**
	 * 判断一个字符串是正整数和小数
	 */
	isNotJustIntgerAndDecimals:function(str){
		return !(this.isJustIntgerAndDecimals(str))
	},
	/**
	 * 0-1之间的最多两位小数(包含0和1)
	 */
	isZeroAndOneBT(str){
		var pattern = /^(0(\.\d{1,2})?|1(\.0{1,2})?)$/;
		return (pattern.test(str))
	},
	/**
	 * 不是0-1之间的最多两位小数(包含0和1)
	 */
	isNotZeroAndOneBT(str){
		var pattern = /^(0(\.\d{1,2})?|1(\.0{1,2})?)$/;
		return !(pattern.test(str))
	},
	
	/**
	 * 0-1之间的最多两位小数(不包含0)
	 */
	isOneBT(str){
		var pattern =  /\b0(\.\d{1,2})\b/g;
		return (pattern.test(str))
	},
	/**
	 * 不是0-1之间的最多两位小数(不包含0)
	 */
	isNotOneBT(str){
		var pattern =  /\b0(\.\d{1,2})\b/g;
		return !(pattern.test(str))
	},
	
	/**
	 * 0-1之间的最多两位小数(包含0)
	 */
	isZeroOneBT(str){
		var pattern =  /\b0(\.\d{1,2})?\b/g;
		return (pattern.test(str))
	},
	/**
	 * 不是0-1之间的最多两位小数(包含0)
	 */
	isNotZeroOneBT(str){
		var pattern =  /\b0(\.\d{1,2})?\b/g;
		return !(pattern.test(str))
	},
	
	
	/**
	 * 正数+两位小数的数
	 */
	isNotTwo(str){
		var pattern =  /^(?!0+(?:\.0+)?$)(?:[1-9]\d*|0)(?:\.\d{1,2})?$/;
		return !(pattern.test(str))
	},
	
	
	

	
}


